Subject: bug#21380: 25.0.50; GTK-induced segfault when scheduling timer from window-configuration-change-hook

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Sep 2015 19:04:26 +0300

> Date: Tue, 1 Sep 2015 15:14:09 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked]
> 
> (* - well, one segfault. But I attribute that to extraordinarily bizarre
> actions even by my standards: attempting to display an unprintable ASCII
> control character in the echo area.

Is this reproducible?  If so, please submit a separate bug report with
a recipe.

> It seems we never make sure that
> non-standard faces are cached when redisplaying the echo area.

I don't see how this can happen, since the face cache is per-frame,
not per-window or buffer.

> Usually this is fine because propertized strings never end up in the
> echo area (I hope)...)

The echo area is a normal buffer, so any face can be used in it.  See,
for example, the message printed by info.el after "i SOMETHING RET".